kas debuginfo              AFS Commands           kas debuginfo


NAME

   kas    debuginfo -- produce   debugging   trace   for   the

                       Authentication Server.


   kas debuginfo  [-hostname <authentication server host name>]
          [-admin_username <admin principal to use for
   authentication>]
   [-password_for_admin <admin password>]  [-cell <cell name>]
                                                             +
          [-servers <explicit list of authentication servers> ]
   [-noauth]
   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   kas deb  [-ho <authentication server host name>]
   [-a <admin principal to use for authentication>]
   [-p <admin password>]  [-c <cell name>]
                                                +
   [-s <explicit list of authentication servers> ]  [-n]  [-he]

DESCRIPTION

   Displays information on the standard output device  (stdout)
   which  is  helpful  in  debugging the Authentication Server.
   This information is useful only for  someone  familiar  with
   the  implementation  of  the  Authentication  Server and the
   internal structure of the  Authentication  Database.    Most
   system administrators will not find it helpful.

ARGUMENTS

   -hostname         names  the  database  server  machine  for
                     which  to  display  debugging  information
                     about  the  Authentication Server instance
                     it is running.

   -admin_username   specifies the user name  under  which  the
                     issuer wishes to perform the command.  See
                     section 4.3 in the  Reference  Manual  for
                     more details.  -password_for_admin
                     specifies  the  issuer's  password.     If
                     provided  here, the password is visible on
                     the  screen.    If  the  issuer  does  not
                     provide  it,  it  will be prompted for and
                     not be visible on the screen.  See section
                     4.3  in  the  Reference  Manual  for  more
                     details.  -cell
                     specifies  the  cell  in  which to run the
                     command, if  not  the  local  cell.    See
                     section  4.3  in  the Reference Manual for
                     more details.  -servers
                     specifies  the  database server machine(s)
                     with which to establish a connection.  See
                     section  4.3  in  the Reference Manual for
                     more details.  -noauth
                     establishes  an unauthenticated connection
                     between  the  Authentication  Servers  and



                     issuer,  whom they assign the unprivileged
                     identity anonymous rather than  attempting
                     mutual authentication.  See section 4.3 in
                     the Reference  Manual  for  more  details.
                     -help
                     prints the online help for  this  command.
                     Do  not  provide  any  other  arguments or
                     flags with this one.  See section  4.3  in
                     the Reference Manual for more details.

PRIVILEGE REQUIRED

   None.    A  password will be prompted for unless the -noauth
   flag is provided.   The  issuer  must  type  some  character
   string  at the prompt, but even providing the wrong one does
   not  prevent  the  command  from  being  executed,   despite
   possible error messages.

MORE INFORMATION

   kas statistics
